// =======================================================================
//  This software is the property of Precise Automation and can be freely
//  copied and used by Precise's customers so long as this notice is
//  included with any modified or unmodified version of this software.
// =======================================================================

/* Set of functions used to automatically scan for GPL dialog prompt
   Link this script into a page along with other dlg scripts and
   system prompts will be supported.*/
	var xmlHttpDlg
	var gplPrompt
	var times = setInterval("updateDlg()",500);
	
	function updateDlg(){
		gplPrompt = ""
		xmlHttpDlg=new ActiveXObject("Microsoft.XMLHTTP")
		var url="/flash/appweb/shared/dlgrply.asp";
		xmlHttpDlg.onreadystatechange=dlgChanged
		xmlHttpDlg.open("GET",url,true)
		xmlHttpDlg.setRequestHeader( "If-Modified-Since", "Sat, 1 Jan 2000 00:00:00 GMT" );
		xmlHttpDlg.send(null)
	}
	
	function dlgChanged(){
		if (xmlHttpDlg.readyState==4 || xmlHttpDlg.readyState=="complete"){
			gplPrompt = xmlHttpDlg.responseText
			updatePrompt();
		}
	}
	function updatePrompt(){
		if(gplPrompt.length>0){
			dlgLast = gplPrompt;		//update to see if changed
			
			var iArray = gplPrompt.split("|");
			
			// make sure indexes are at least empty strings
			for(i=0;i<7;i++){
				if(iArray[i]==null){
					iArray[i]=""
				}
			}
			
			//showDialog(mode,txtDialog,dlgData,txtBtn1,txtBtn2,txtBtn3,txtBtn4)
			var mode,tD,dlgD,btn1,btn2,btn3,btn4
			
			mode = iArray[0];
			tD = iArray[1];
			dlgD = iArray[2];
			btn1 = iArray[3];
			btn2 = iArray[4];
			btn3 = iArray[5];
			btn4 = iArray[6];
			showDialog(mode,tD,dlgD,btn1,btn2,btn3,btn4);
		}
		else {
			hideDialog();
		}
	}
	
