// =======================================================================
//  This software is the property of Precise Automation and can be freely
//  copied and used by Precise's customers so long as this notice is
//  included with any modified or unmodified version of this software.
// =======================================================================

var jMode="iComp"		//default no button pushed
var jNum=<% aspRDB(2000,-1,0,0,0); %>			//maximum number of joints (need DB value for this)
var jSpeed=10		//initial jog speed used for issing jog commands, starts a zero.
var autoJogSpeed=0	//calculated speed and direction based '-100 to 100' 0 stop jog
var intervalID		//used to track the jog timer.
var pwrState=0;

// load the images needed for the page
var btnImages = new Object();

//alert("loading images ...");
btnImages["iComp0"] = new Image(75,20);
btnImages["iComp0"].src = "btn_computer_0.gif";
btnImages["iComp1"] = new Image(75,20);
btnImages["iComp1"].src = "btn_computer_1.gif";
btnImages["iComp2"] = new Image(75,20);
btnImages["iComp2"].src = "btn_computer_2.gif";
btnImages["iWorld0"] = new Image(75,20);
btnImages["iWorld0"].src = "btn_world_0.gif";
btnImages["iWorld1"] = new Image(75,20);
btnImages["iWorld1"].src = "btn_world_1.gif";
btnImages["iWorld2"] = new Image(75,20);
btnImages["iWorld2"].src = "btn_world_2.gif";
btnImages["iTool0"] = new Image(75,20);
btnImages["iTool0"].src = "btn_tool_0.gif";
btnImages["iTool1"] = new Image(75,20);
btnImages["iTool1"].src = "btn_tool_1.gif";
btnImages["iTool2"] = new Image(75,20);
btnImages["iTool2"].src = "btn_tool_2.gif";
btnImages["iJoint0"] = new Image(75,20);
btnImages["iJoint0"].src = "btn_joint_0.gif";
btnImages["iJoint1"] = new Image(75,20);
btnImages["iJoint1"].src = "btn_joint_1.gif";
btnImages["iJoint2"] = new Image(75,20);
btnImages["iJoint2"].src = "btn_joint_2.gif";
btnImages["iFree0"] = new Image(75,20);
btnImages["iFree0"].src = "btn_free_0.gif";
btnImages["iFree1"] = new Image(75,20);
btnImages["iFree1"].src = "btn_free_1.gif";
btnImages["iFree2"] = new Image(75,20);
btnImages["iFree2"].src = "btn_free_2.gif";

function forceUpdate(){
	//alert("forceUpdate()");
	jMode="";
	setJmode(<% aspRDB(621,-1,0,0,0); %>);
	//build up the robot selection list.
	setRobotSelect();
}

function jog(dir){
	if(jMode!="iComp"){
		//alert("here");
		var dlist = document.getElementById("axisSelect");
		if(dlist.selectedIndex>=0){
			autoJogSpeed = jSpeed*dir;
			//alert(jSpeed+"|"+dir);
			if(autoJogSpeed!=0){
				jogHeartBeat();
				intervalID=setInterval("jogHeartBeat()",200);	
			}
			else{
				clearInterval(intervalID);
				parent.db.dbPuts(623,0);		//set jog speed to zero which will stop the jogging.
			}
		}
		else{ alert("Please Select Axis/Joint");}
	}
	//else alert("Computer Control is engaged.  Please select a jog mode first.")
}

// called repeatibly by an interval timer
function jogHeartBeat(){
	if(parent.doneFlag2==1){
	   		 parent.doneFlag2=0; 	//reset complete flag
			 parent.db2.dbPuts2(623,autoJogSpeed,624,1);		//speed and heartbeat
	}
}

function jogMode(mode,set){
	//alert(pwrState);

	clearInterval(intervalID);		//make sure interval timer is reset
	// || = 'or'
	//alert(pwrState);
	// 29-jog mode, 11-power on waitiing for auto, 20-power on waiting for gpl
	if((pwrState==29) || (pwrState==11) || (pwrState == 20)){

		jMode=mode
		setJogModeButtons(jMode);
		setAxisSelect(jMode);
		// submit the change used with local buttons otherwise ignored
		if(set){
			if(jMode=="iComp"){parent.db.dbPuts2(215,0,621,0);}
			else if(jMode == "iJoint"){parent.db.dbPuts2(215,1,621,1);}
			else if(jMode=="iWorld"){parent.db.dbPuts2(215,1,621,2);}
			else if(jMode=="iTool"){parent.db.dbPuts2(215,1,621,3);}
			else if(jMode == "iFree"){parent.db.dbPuts2(215,1,621,4);}
			//force refresh of background updater.
			//parent.frameRefresh.document.location.reload();
		}
		updateJogState();
	}
	
}

function jogDecrease(){
	var nSpd=document.getElementById("jogSpeed")
	nSpd.value=parseInt(nSpd.value)-1;
	if(nSpd.value<=0) nSpd.value=1
	//parent.db.setSpeed(nSpd.value)
	jSpeed=nSpd.value;
}

function jogIncrease(){
	var nSpd=document.getElementById("jogSpeed")
	nSpd.value=parseInt(nSpd.value)+1;
	if(nSpd.value>100) nSpd.value=100;
	jSpeed=nSpd.value;
	//parent.db.setSpeed(nSpd.value)
}
function jogSet(){
	var nSpd=document.getElementById("jogSpeed")
	if(nSpd.value>100) (nSpd.value=100);
	if(nSpd.value<.01)(nSpd.value=.01);
	jSpeed=nSpd.value;
	updateJogState();
}


//user clicked on a quick jog speed set
function jogSpeed(spd){
	var nSpd=document.getElementById("jogSpeed")
	nSpd.value=spd;
	jSpeed=spd;
	updateJogState();
//	parent.db.setSpeed(spd)
}
// remote request to set the jog mode
function setJmode(mode){
// 0 No jog
// 1 Joint
// 2 Cartesian world
// 3 Cartesian tool
// 4 Free
	//alert("wait");
	if(mode==0 & jMode!="iComp") {jogMode("iComp");}
	else if(mode==2 & jMode!="iWorld") {jogMode("iWorld");}
	else if(mode==3 & jMode!="iTool") {jogMode("iTool");}
	else if(mode==1 & jMode!="iJoint") {jogMode("iJoint");}
	else if(mode==4 & jMode!="iFree") {jogMode("iFree");}	
	//alert("here");
}


// based on current mode, depress the selected mode button
function setJogModeButtons(mode) {

	// clear all buttons to default position
	var btn0=document.getElementsByName("iComp")
	btn0(0).src=btnImages["iComp0"].src;
	var btn1=document.getElementsByName("iWorld")
	btn1(0).src=btnImages["iWorld0"].src;
	var btn2=document.getElementsByName("iTool")
	btn2(0).src=btnImages["iTool0"].src;
	var btn3=document.getElementsByName("iJoint")
	btn3(0).src=btnImages["iJoint0"].src;
	var btn4=document.getElementsByName("iFree")
	btn4(0).src=btnImages["iFree0"].src;

	// set the proper button in the down position
	if(mode=="iComp"){
	 	btn0(0).src=btnImages["iComp2"].src;
		clearInterval(intervalID);  //make sure interval time is reset
	}
	if(mode=="iWorld") btn1(0).src=btnImages["iWorld2"].src;
	if(mode=="iTool") btn2(0).src=btnImages["iTool2"].src;
	if(mode=="iJoint") btn3(0).src=btnImages["iJoint2"].src;
	if(mode=="iFree") btn4(0).src=btnImages["iFree2"].src;
		
}

function jogListChanged(){
	//alert(jMode);
	var dlist = document.getElementById("axisSelect");
	if(dlist.selectedIndex>=0){
		var selValue = dlist.options[dlist.selectedIndex].value;
		var selRob = <% aspRDB(423,-1,0,0,0); %>
 		if(selValue>=0){
			parent.db.dbPuts2(622,selValue,620,selRob);
		}
		else{
			//need to clear the form in this case
		}
	}
}

// update the selected jog status (incrment / continous)
function updateJogState(){
	var jData=document.getElementById("jogSpeed");
	var jSet=document.getElementById("set");
	var jSpd = jData.value/100;
	var SttTab=document.getElementById("jogStatus");
	var jtMaxSpd=<% aspRDB(2700,-1,0,1,0); %>;
	var jtJogTick = <% aspRDB(2825,-1,0,0,0); %>
	var carMaxSpd = "<% aspRDB(2701,-1,0,1,0); %>";		//may not be defined
	var carJogTick = <% aspRDB(2826,-1,0,0,0); %>

	if(carMaxSpd=="*Invalid Data ID code*"){
		carMaxSpd = 0
	}
	else{
		carMaxSpd = carMaxSpd+0;		//convert to numeric
	}

	if(jData.value<=5){	
		var out
		
		if(jMode=="iComp") out=0;
		if(jMode=="iWorld") out=carMaxSpd*carJogTick*jSpd;
		if(jMode=="iTool") out=carMaxSpd*carJogTick*jSpd;
		if(jMode=="iJoint") out=jtMaxSpd*jtJogTick*jSpd;
		if(jMode=="iFree") out=0;
		out=formatNumber(out, 4, true, false)
		SttTab.rows[0].cells[1].innerHTML = "Increment "+out+" mm"
		SttTab.rows[0].cells[1].style.textAlign="center";
		// SttTab.rows[0].cells[1].style.color="White";
		// SttTab.rows[0].cells[1].style.fontWeight="Bold";
		SttTab.rows[0].cells[1].className="small";

		SttTab.rows[0].cells[3].innerHTML = "";
	
		jData.style.visibility="hidden";		
		jSet.style.visibility="hidden";		
		
	}
	else {
		SttTab.rows[0].cells[1].style.textAlign="right";
		// SttTab.rows[0].cells[1].style.fontWeight="Bold";		
		// SttTab.rows[0].cells[1].style.color="White";
		SttTab.rows[0].cells[1].className="small";
		SttTab.rows[0].cells[1].innerHTML = "Jog Speed"
		SttTab.rows[0].cells[3].innerHTML = "%";
		jData.style.visibility="visible";		
		jSet.style.visibility="visible";		

	}
    
}


// based on the jog button selection, populate the
// listview control
function setAxisSelect(mode){

	var dlist = document.getElementById("axisSelect");
	var jP = document.getElementById("jogPlus");
	var jM = document.getElementById("jogMinus");

		jP.style.visibility="visible";
		jM.style.visibility="visible";

	//clear the list first
	for (i=dlist.options.length-1;i>=0;i--) dlist.options[i]=null;

	if(mode=="iWorld" || mode=="iTool"){
		dlist.options[0]= new Option("X motion","1");
		dlist.options[1]= new Option("Y motion","2");
		dlist.options[2]= new Option("Z motion","3");
		dlist.options[3]= new Option("X rotation","4");
		dlist.options[4]= new Option("Y rotation","5");
		dlist.options[5]= new Option("Z rotation","6");
	} 
	else if(mode =="iJoint" || mode=="iFree"){
		for (i=0;i<jNum;i++){
			dlist.options[i]= new Option("Joint "+(i+1),(i+1));
			}
	}
	else if(mode =="iComp"){
		dlist.options[0]= new Option("Computer","1");
		dlist.options[1]= new Option("control","1");
		dlist.options[2]= new Option("engaged","1");
		jP.style.visibility="hidden";
		jM.style.visibility="hidden";
		
	}
}
function jumpURL(address) {
	//extra check in case this page is displayed stand alone without
	//a parent.
	var tParent = parent.parent.treeframe;
// only allow jump if parent is null
	if (tParent==null){
		parent.jmpURL(address);
	}
}
function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}
function jog_swapImgRestore() { //special version for jog buttons only
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
  setJogModeButtons(jMode)
}
function MM_findObj(n, d) { //v4.01
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}
function jog_swapImage() { // special version for jog buttons
  var i,j=0,x,a=jog_swapImage.arguments; document.MM_sr=new Array; 
 	//only swap if image is not the selected one
  	if(a[0]!=jMode){
		for(i=0;i<(a.length-2);i+=3){
  			if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
		}
	}
}

function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}
function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}
