// =======================================================================
//  This software is the property of Precise Automation and can be freely
//  copied and used by Precise's customers so long as this notice is
//  included with any modified or unmodified version of this software.
// =======================================================================

/* For a ReDirect, return the full path for a page defined relative to
   the directory for the current page. */

function fullPath(file) {
	var fpath = window.location.pathname
	var path = fpath.substr(0,fpath.lastIndexOf("/")+1)
	return(path+file)
}


/* For a ReDirect, return the full path for the currently opened page. */

function fullPathMe() {
	return(window.location.pathname)
}


/* OnClick, execute this function to change to specified page address.  New
   page must be stored in the same directory as the current page. */

function jmpURL(address){
	location.replace(address);
}


/* OnClick, execute this function to exit and close the current window.
   Typically used for special pop-up windows. */

function jmpExit(){
	//alert("Not Implemented");
	this.close();
}


function formatNumber(num, decimalNum, bolLeadingZero, bolParens)
   /* IN - num:            the number to be formatted
           decimalNum:     the number of decimals after the digit
           bolLeadingZero: true / false to use leading zero
           bolParens:      true / false to use parenthesis for - num

      RETVAL - formatted number
   */
   {
       var tmpNum = num;

       // Return the right number of decimal places
       tmpNum *= Math.pow(10,decimalNum);
       tmpNum = Math.floor(tmpNum);
       tmpNum /= Math.pow(10,decimalNum);

       var tmpStr = new String(tmpNum);

       // See if we need to hack off a leading zero or not
       if (!bolLeadingZero && num < 1 && num > -1 && num !=0)
           if (num > 0)
               tmpStr = tmpStr.substring(1,tmpStr.length);
           else
               // Take out the minus sign out (start at 2)
               tmpStr = "-" + tmpStr.substring(2,tmpStr.length);                        


       // See if we need to put parenthesis around the number
       if (bolParens && num < 0)
           tmpStr = "(" + tmpStr.substring(1,tmpStr.length) + ")";


       return tmpStr;
   }

	function hLaunch(file){
			var attr = "status,width=800,height=600,scrollbars,toolbar"
			var newWin=window.open("/flash/appweb/help/GD_Software_Introduction/"+file,"vHelp",attr)
			newWin.focus()
	}
	function tLaunch(file){
			var attr = "status,width=800,height=600,scrollbars,toolbar"
			var newWin=window.open("/flash/appweb/help/GD_Software_Tutorials/"+file,"vHelp",attr)
			newWin.focus()
	}